﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Opsive.UltimateCharacterController.AddOns.VR.Demo;

#region info
/*
 * For "VR Add-On for Opsive Character Controllers" version 1.1.1
 * 
 * With this script, you can switch between the 5 move abilities in the demo scene 
 * of the "VR Add-On for Opsive Character Controllers" with the Thumbstick Buttons 
 * of the Oculus Touch Controllers
 * 1. Make sure you have Oculus Inigration installed, or add joystick button 8 and 9 to the Input Manager
 * 2. Make sure the buttons have the same name as in this script
 * 3. Attache this script to the Demo Manager in the demo scene
 * 4. Enjoy
 * Deutsches Video: https://youtu.be/8yT1cIhUk6w
 * English Video: https://youtu.be/DqlRMhQFiMc
 */

#endregion

public class SwitchStateWithThumbstickButton : MonoBehaviour
{

    private StateSwitcher stateSwitcher;
    [SerializeField]
    private string[] abilityName = new string[] { "Teleport", "Dash", "MoveInPlace", "ArmSwing", "Joystick" };
    private int counter = 0;

    // Start is called before the first frame update
    void Start()
    {
        stateSwitcher = GetComponent<StateSwitcher>();
    }

    // Update is called once per frame
    void Update()
    {   //Make sure the button names match the names in the Input Manager for "joystick button 8" and "joystick button 9"!!!
        if (Input.GetButtonDown("Oculus_CrossPlatform_SecondaryThumbstick") || Input.GetButtonDown("Oculus_CrossPlatform_PrimaryThumbstick"))
        {
            SwitchState();
        }
    }

    public void SwitchState()
    {
        counter++;
        if (counter>= abilityName.Length)
        {
            counter = 0;
            stateSwitcher.EnableState(abilityName[counter]);
        }
        else
        {
            stateSwitcher.EnableState(abilityName[counter]);
        }
        
    }
}
